# Class: docker::install
#
# Module to install Docker from an official Red Hat repository or another repository available on the server
#
class docker::install {
  validate_re($::osfamily, '^RedHat$', 'This module only works on Red Hat systems.')

  ensure_packages($docker::prerequired_packages)

  $dockerpackage = $docker::package_name

  if $docker::manage_package {
    package { 'docker':
      ensure => $docker::ensure,
	    name   => $dockerpackage,
    }
  }
}
