# == Class: docker::params
#
# Default parameter values for the docker module
#
class docker::params {
  $ensure                       = present
  $tcp_bind                     = undef
  $socket_bind                  = 'unix:///var/run/docker.sock'
  $log_driver                   = undef
  $log_opts                     = undef
  $log_level                    = undef
  $selinux_enabled              = undef
  $socket_group                 = 'docker'
  $service_state                = running
  $service_enable               = true
  $root_dir                     = undef
  $tmp_dir                      = '/tmp/'
  $dns                          = undef
  $dns_search                   = undef
  $storage_driver               = 'devicemapper'
  $dm_thinpooldev               = '/dev/vg_docker/lv_dockerpool'
  $dm_basesize                  = '100G'
  $dm_fs                        = 'xfs'
  $dm_mkfsarg                   = undef
  $dm_mountopt                  = undef
  $dm_blocksize                 = '64K'
  $manage_package               = true
  $package_name                 = 'docker-engine'
  $service_name_default         = 'docker.service'
  $docker_command_default       = 'docker'
  $docker_group_default         = 'docker'
  $use_swarm                    = false
  $swarm_cluster_store          = 'etcd://localhost:12379'
  $swarm_cluster_advertise      = 'eno16780032:2375'
  $swarm_cluster_store_opts     = undef
  $daemon_labels                = undef

  case $::osfamily {
    'RedHat' : {
      $service_name   = $service_name_default
      $docker_command = $docker_command_default
      $docker_group = $docker_group_default

      # Special extra packages are required
      $prerequired_packages = ['device-mapper']
    }
    default: {
      fail('Docker needs a RedHat based system.')
    }
  }
}
